A point of connection to a Database Instance. The endpoint is associated with an IPv4 address and a port. It contains the information about whether the endpoint is read-write or not. The endpoints always point to the main node of a Database Instance.
All endpoints have TLS enabled. You can use TLS to make your data and your passwords unreadable in transit to anyone but you.
For added security, you can set up ACL rules to restrict access to your endpoint to a set of trusted hosts or networks of your choice.
Load Balancers are used to forward traffic to the right node based on the node state (active/hot standby). The Load Balancers' configuration is set to cut off inactive connections if no TCP traffic is sent within a 6-hour timeframe. We recommend using connection pooling on the application side to renew database connections regularly.
Get a Database Instance endpoint
Retrieve information about a Database Instance endpoint. Full details about the endpoint, like ip, port, private_network and load_balancer specifications are returned in the response.
path Parameters
regionThe region you want to target
endpoint_idUUID of the endpoint you want to get.
Get a Database Instance endpoint › Responses
idUUID of the endpoint. (UUID format)
ipIPv4 address of the endpoint. (IP address)
portTCP port of the endpoint.
nameName of the endpoint.
Private Network details. One maximum per Database Instance or Read Replica (a Database Instance and its Read Replica can have different Private Networks). Cannot be updated (has to be deleted and recreated).
load_balancerLoad balancer details. Public endpoint for Database Instance which is systematically present. One per Database Instance.
direct_accessDirect access details. Public endpoint reserved for Read Replicas. One per Read Replica.
hostnameHostname of the endpoint.
Delete a Database Instance endpoint
Delete the endpoint of a Database Instance. You must specify the region and endpoint_id parameters of the endpoint you want to delete. Note that might need to update any environment configurations that point to the deleted endpoint.
path Parameters
regionThe region you want to target
endpoint_idUUID of the endpoint you want to delete. This endpoint can also be used to delete a Read Replica endpoint.
Delete a Database Instance endpoint › Responses
Migrate an existing instance endpoint to another instance
path Parameters
regionThe region you want to target
endpoint_idUUID of the endpoint you want to migrate.
Migrate an existing instance endpoint to another instance › Request Body
instance_idUUID of the instance you want to attach the endpoint to.
Migrate an existing instance endpoint to another instance › Responses
idUUID of the endpoint. (UUID format)
ipIPv4 address of the endpoint. (IP address)
portTCP port of the endpoint.
nameName of the endpoint.
Private Network details. One maximum per Database Instance or Read Replica (a Database Instance and its Read Replica can have different Private Networks). Cannot be updated (has to be deleted and recreated).
load_balancerLoad balancer details. Public endpoint for Database Instance which is systematically present. One per Database Instance.
direct_accessDirect access details. Public endpoint reserved for Read Replicas. One per Read Replica.
hostnameHostname of the endpoint.
Create a new Database Instance endpoint
Create a new endpoint for a Database Instance. You can add load_balancer and private_network specifications to the body of the request.
path Parameters
regionThe region you want to target
instance_idUUID of the Database Instance you to which you want to add an endpoint.
Create a new Database Instance endpoint › Request Body
Specification of the endpoint you want to create.
Create a new Database Instance endpoint › Responses
idUUID of the endpoint. (UUID format)
ipIPv4 address of the endpoint. (IP address)
portTCP port of the endpoint.
nameName of the endpoint.
Private Network details. One maximum per Database Instance or Read Replica (a Database Instance and its Read Replica can have different Private Networks). Cannot be updated (has to be deleted and recreated).
load_balancerLoad balancer details. Public endpoint for Database Instance which is systematically present. One per Database Instance.
direct_accessDirect access details. Public endpoint reserved for Read Replicas. One per Read Replica.
hostnameHostname of the endpoint.